Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static final class

# AdvertisingIdClient.Info

extends Object

java.lang.Object
↳ | com.google.android.gms.ads.identifier.AdvertisingIdClient.Info

## Class Overview

Includes both the advertising ID as well as the limit ad tracking setting.

## Summary

Public Methods
String | getId() Retrieves the advertising ID.
boolean | isLimitAdTrackingEnabled() Retrieves whether the user has limit ad tracking enabled or not.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Methods

#### public String getId ()

Retrieves the advertising ID.

#### public boolean isLimitAdTrackingEnabled ()

Retrieves whether the user has limit ad tracking enabled or not.